Package org.jboss.resteasy.plugins.server.vertx

## Class VertxJaxrsServer

- java.lang.Object
- - org.jboss.resteasy.plugins.server.vertx.VertxJaxrsServer

- All Implemented Interfaces:
    `EmbeddedJaxrsServer<VertxJaxrsServer>`

      public class VertxJaxrsServer
      extends Object
      implements EmbeddedJaxrsServer<VertxJaxrsServer>

  An HTTP server that sends back the content of the received HTTP request in a pretty plaintext form.
  Version:
    $Rev: 2080 $, $Date: 2010-01-26 18:04:19 +0900 (Tue, 26 Jan 2010) $
  Author:
    Andy Taylor (andy.taylor@jboss.org), Trustin Lee, Norman Maurer, Julien Viet

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `VertxJaxrsServer.Verticle` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected VertxResteasyDeployment` | `deployment` |
    `protected SecurityDomain` | `domain` |
    `protected String` | `root` |
    `protected io.vertx.core.http.HttpServerOptions` | `serverOptions` |
    `protected io.vertx.core.Vertx` | `vertx` |
    `protected io.vertx.core.VertxOptions` | `vertxOptions` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VertxJaxrsServer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `VertxJaxrsServer` | `deploy()` |
    `ResteasyDeployment` | `getDeployment()` |
    `String` | `getHostname()` |
    `int` | `getPort()` |
    `io.vertx.core.http.HttpServerOptions` | `getServerOptions()` |
    `io.vertx.core.VertxOptions` | `getVertxOptions()` |
    `VertxJaxrsServer` | `setDeployment​(ResteasyDeployment deployment)` |
    `VertxJaxrsServer` | `setHostname​(String hostname)` |
    `VertxJaxrsServer` | `setPort​(int port)` |
    `VertxJaxrsServer` | `setRootResourcePath​(String rootResourcePath)` |
    `VertxJaxrsServer` | `setSecurityDomain​(SecurityDomain sc)` |
    `VertxJaxrsServer` | `setServerOptions​(io.vertx.core.http.HttpServerOptions options)` | Set `HttpServerOptions`.
    `VertxJaxrsServer` | `setVertxOptions​(io.vertx.core.VertxOptions options)` | Set `VertxOptions`.
    `VertxJaxrsServer` | `start()` |
    `void` | `stop()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### vertxOptions

          protected io.vertx.core.VertxOptions vertxOptions

    - #### vertx

          protected io.vertx.core.Vertx vertx

    - #### serverOptions

          protected io.vertx.core.http.HttpServerOptions serverOptions

    - #### deployment

          protected VertxResteasyDeployment deployment

    - #### root

          protected String root

    - #### domain

          protected SecurityDomain domain

  - ### Constructor Detail

    - #### VertxJaxrsServer

          public VertxJaxrsServer()

  - ### Method Detail

    - #### deploy

          public VertxJaxrsServer deploy()

      Specified by:
        `deploy` in interface `EmbeddedJaxrsServer<VertxJaxrsServer>`

    - #### start

          public VertxJaxrsServer start()

      Specified by:
        `start` in interface `EmbeddedJaxrsServer<VertxJaxrsServer>`

    - #### stop

          public void stop()

      Specified by:
        `stop` in interface `EmbeddedJaxrsServer<VertxJaxrsServer>`

    - #### getDeployment

          public ResteasyDeployment getDeployment()

      Specified by:
        `getDeployment` in interface `EmbeddedJaxrsServer<VertxJaxrsServer>`

    - #### setDeployment

          public VertxJaxrsServer setDeployment​(ResteasyDeployment deployment)

      Specified by:
        `setDeployment` in interface `EmbeddedJaxrsServer<VertxJaxrsServer>`

    - #### setPort

          public VertxJaxrsServer setPort​(int port)

      Specified by:
        `setPort` in interface `EmbeddedJaxrsServer<VertxJaxrsServer>`

    - #### getPort

          public int getPort()

    - #### setHostname

          public VertxJaxrsServer setHostname​(String hostname)

      Specified by:
        `setHostname` in interface `EmbeddedJaxrsServer<VertxJaxrsServer>`

    - #### getHostname

          public String getHostname()

    - #### setRootResourcePath

          public VertxJaxrsServer setRootResourcePath​(String rootResourcePath)

      Specified by:
        `setRootResourcePath` in interface `EmbeddedJaxrsServer<VertxJaxrsServer>`

    - #### setSecurityDomain

          public VertxJaxrsServer setSecurityDomain​(SecurityDomain sc)

      Specified by:
        `setSecurityDomain` in interface `EmbeddedJaxrsServer<VertxJaxrsServer>`

    - #### getVertxOptions

          public io.vertx.core.VertxOptions getVertxOptions()

    - #### setVertxOptions

          public VertxJaxrsServer setVertxOptions​(io.vertx.core.VertxOptions options)

      Set `VertxOptions`.
      Parameters:
        `options` - the `VertxOptions`.
      See Also:
        `Vertx.vertx(VertxOptions)`

    - #### setServerOptions

          public VertxJaxrsServer setServerOptions​(io.vertx.core.http.HttpServerOptions options)

      Set `HttpServerOptions`.
      Parameters:
        `options` - the `HttpServerOptions`.
      See Also:
        `Vertx.createHttpServer(HttpServerOptions)`

    - #### getServerOptions

          public io.vertx.core.http.HttpServerOptions getServerOptions()